%global _description %{expand:
An event system for Jupyter Applications and extensions.}

Summary:        Jupyter Event System library
Name:           python-jupyter-events
Version:        0.10.0
Release:        1%{?dist}
License:        BSD-3-Clause
URL:            https://jupyter.org
Source0:        %{pypi_source jupyter_events}
BuildRequires:  python3-devel
# Manual test deps - upstream contains coverage, pre-commit, …
BuildRequires:  python3-click python3-rich python3-pytest python3-pytest-asyncio python3-pytest-console-scripts
BuildArch:      noarch


%description %_description

%package -n     python3-jupyter-events
Summary:        Jupyter Event System library

%description -n python3-jupyter-events %_description

%prep
%autosetup -p1 -n jupyter_events-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files jupyter_events


%check
%pytest


%files -n python3-jupyter-events -f %{pyproject_files}
%doc README.md
%{_bindir}/jupyter-events

%changelog
* Fri Jun 14 2024 Shuo Wang <abushwang@tencent.com> - 0.10.0-1
- initial build
